Transferts

GET https://www.transfer.city65.fr/api/transfers/
curl --request GET \
--url 'https://www.transfer.city65.fr/api/transfers/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
page Optionnel Entier Le numéro de page que vous voulez. Par défaut 1.
results_per_page Optionnel Entier Nombre de résultats par page. Valeurs autorisées : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut 25.
{ "data": [ { "id": 1, "user_id": 1, "project_id": 0, "uploader_id": "f528764d624db129b32c21fbca0cb8d6", "pixels_ids": [], "files_ids": [ 1,2,3 ], "name": "Example", "description": "Example", "type": "link", "email_to": null, "url": "example", "settings": { "password": null, "file_encryption_is_enabled": false, "file_preview_is_enabled": true, "is_removed_branding": false, "custom_css": "tester", "custom_js": "" }, "notifications": { "download": [] }, "total_files": 1, "total_size": 999999, "pageviews": 1, "downloads": 1, "downloads_limit": 0, "expiration_datetime": null, "last_datetime": null, "datetime": "2026-08-09 06:01:56" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://www.transfer.city65.fr/api/transfers?&page=1", "last": "https://www.transfer.city65.fr/api/transfers?&page=1", "next": null, "prev": null, "self": "https://www.transfer.city65.fr/api/transfers?&page=1" } }
GET https://www.transfer.city65.fr/api/transfers/{transfer_id}
curl --request GET \
--url 'https://www.transfer.city65.fr/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "user_id": 1, "project_id": 0, "uploader_id": "f528764d624db129b32c21fbca0cb8d6", "pixels_ids": [], "files_ids": [ 1,2,3 ], "name": "Example", "description": "Example", "type": "link", "email_to": null, "url": "example", "settings": { "password": null, "file_encryption_is_enabled": false, "file_preview_is_enabled": true, "is_removed_branding": false, "custom_css": "tester", "custom_js": "" }, "notifications": { "download": [] }, "total_files": 1, "total_size": 999999, "pageviews": 1, "downloads": 1, "downloads_limit": 0, "expiration_datetime": null, "last_datetime": null, "datetime": "2026-08-09 06:01:56" } }
POST https://www.transfer.city65.fr/transfer/create_api
Paramètres Détails Description
uploaded_files Obligatoire Tableau Entier Tableau contenant les UUID de tous les fichiers téléchargés à attacher à ce transfert.
type Optionnel Chaîne Valeurs autorisées : link , email
email_to Optionnel Chaîne Disponible quand : type = email
name Optionnel Chaîne -
description Optionnel Chaîne -
url Optionnel Chaîne -
domain_id Optionnel Entier -
project_id Optionnel Entier -
pixels_ids Optionnel Tableau Entier -
download_notification_handlers_ids Optionnel Tableau Entier -
expiration_datetime Optionnel Chaîne Y-m-d H:i:s
downloads_limit Optionnel Entier -
password Optionnel Chaîne -
file_encryption_is_enabled Optionnel Booléen -
file_preview_is_enabled Optionnel Booléen -
gallery_file_preview_is_enabled Optionnel Booléen -
is_removed_branding Optionnel Booléen -
custom_css Optionnel Chaîne -
custom_js Optionnel Chaîne -
curl --request POST \
--url 'https://www.transfer.city65.fr/transfer/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uploaded_files[]=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'name=Example name' \
--form 'description=Example description' \
{ "data": { "id": 1, "download_url": "https://www.transfer.city65.fr/transfer-redirect/1", "view_url": "https://www.transfer.city65.fr/transfer/1", } }
POST https://www.transfer.city65.fr/api/transfers/{transfer_id}
Paramètres Détails Description
name Optionnel Chaîne -
description Optionnel Chaîne -
url Optionnel Chaîne -
domain_id Optionnel Entier -
project_id Optionnel Entier -
pixels_ids Optionnel Tableau Entier -
download_notification_handlers_ids Optionnel Tableau Entier -
expiration_datetime Optionnel Chaîne Y-m-d H:i:s
downloads_limit Optionnel Entier -
file_preview_is_enabled Optionnel Booléen -
gallery_file_preview_is_enabled Optionnel Booléen -
is_removed_branding Optionnel Booléen -
custom_css Optionnel Chaîne -
custom_js Optionnel Chaîne -
curl --request POST \
--url 'https://www.transfer.city65.fr/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=transfer.com' \
{ "data": { "id": 1 } }
DELETE https://www.transfer.city65.fr/api/transfers/{transfer_id}
curl --request DELETE \
--url 'https://www.transfer.city65.fr/api/transfers/{transfer_id}' \
--header 'Authorization: Bearer {api_key}' \